Skip to main content
GET

List sites

GET /api/sites Manage embeddable chat widget sites.

Headers

Session cookie (login via POST /api/auth/login)

Create site

POST /api/sites

Body parameters

string
required
Site name.
string
required
Site URL.
string
Widget accent color (hex).
string
Initial chat greeting.
string
Widget position on the page.
boolean
Whether the widget is active.

Update site

PATCH /api/sites/:id
integer
required
Site ID.

Create or update site

POST /api/sites/create_or_update

POST /api/widget/upload-logo Accepts multipart/form-data.

Widget public endpoints

Widget embed code